## gate.gui
Class LogArea.SwingWriter

    java.lang.Object
      |
      +--gate.gui.LogArea.SwingWriter

All Implemented Interfaces:
  Runnable

Enclosing class:
  LogArea

protected class LogArea.SwingWriter
extends Object
implements Runnable

A runnable that adds a bit of text to the area; needed so we can write from the Swing thread.

Field Summary
`(package private) Style` `style`
`(package private) String` `text`

Constructor Summary
`(package private)` `LogArea.SwingWriter(String text, Style style)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### text

    String text

### style

    Style style

Constructor Detail

### LogArea.SwingWriter

    LogArea.SwingWriter(String text,
                        Style style)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`